#include <jni.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/mman.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include "JNICircularVoting.h"

extern JNIEXPORT jintArray JNICALL Java_JNICircularVoting_compute (
    JNIEnv *env, 
    jobject jobj, 
    jintArray jPixels, 
    jint jRow, 
    jint jCol, 
    jint jHMin,
    jint jHMax,
    jint jRadius, 
    jint jMinGrad,
    jint jMinVote, 
    jint jSigma)
{
    jintArray jb;
    jint buf[2];

    buf[0] = jRow / 2;
    buf[1] = jCol / 2;

    jb=(*env)->NewIntArray(env, 2);
    (*env)->SetIntArrayRegion(env, jb, 0, 2, buf);

    return (jb);
}

